# SubCommand
Date: 2020-04-18

me.legofreak107.vehiclesplus.libraries.commandlibrary.objects

## Class SubCommand

- java.lang.Object
- - me.legofreak107.vehiclesplus.libraries.commandlibrary.objects.SubCommand

    public class SubCommand
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`SubCommand(java.lang.String name, java.lang.String description, java.util.List<Argument> arguments, java.lang.String permission, int minimumParameters, int parameters, boolean async, java.lang.Object commandInvoker)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addMethod(java.lang.Class<? extends org.bukkit.command.CommandSender> sender, java.lang.reflect.Method method)`
`java.util.List<Argument>` `getArguments()`
`java.lang.String` `getArgumentString()`
`java.lang.String` `getDescription()`
`int` `getMinimumParameters()`
`java.lang.String` `getName()`
`int` `getParameters()`
`java.lang.String` `getPermission()`
`boolean` `hasPermission()`
`void` `invoke(org.bukkit.command.CommandSender sender, java.lang.Object[] arguments)`
`boolean` `isAsync()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SubCommand

    public SubCommand(java.lang.String name,
                      java.lang.String description,
                      java.util.List<Argument> arguments,
                      java.lang.String permission,
                      int minimumParameters,
                      int parameters,
                      boolean async,
                      java.lang.Object commandInvoker)

### Method Detail

#### addMethod

    public void addMethod(java.lang.Class<? extends org.bukkit.command.CommandSender> sender,
                          java.lang.reflect.Method method)

#### invoke

    public void invoke(org.bukkit.command.CommandSender sender,
                       java.lang.Object[] arguments)

#### getName

    public java.lang.String getName()

#### getDescription

    public java.lang.String getDescription()

#### getArgumentString

    public java.lang.String getArgumentString()

#### getArguments

    public java.util.List<Argument> getArguments()

#### getPermission

    public java.lang.String getPermission()

#### hasPermission

    public boolean hasPermission()

#### getMinimumParameters

    public int getMinimumParameters()

#### getParameters

    public int getParameters()

#### isAsync

    public boolean isAsync()